package com.jqtx.windows.component.enums;

public enum ZNEduEnum {

    E_1("1", "14"),
    E_2("2", "20"),
    E_3("3", "30"),
    E_4("4", "40"),
    E_5("5", "40"),
    E_6("6", "40"),
    E_7("0", "90"),
    ;

    ZNEduEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public static ZNEduEnum getByCode(String code) {
        for (ZNEduEnum e : ZNEduEnum.values()) {
            if (e.getCode().equals(code)) {
                return e;
            }
        }
        return null;
    }

    private String code;

    private String msg;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
