package com.jqtx.windows.component.enums;

public enum ZNInComeEnum {

    E_1("1", "1000"),
    E_2("2", "2500"),
    E_3("3", "4000"),
    E_4("4", "6500"),
    E_5("5", "10000"),
    E_6("6", "15000"),
    ;

    ZNInComeEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public static ZNInComeEnum getByCode(String code) {
        for (ZNInComeEnum e : ZNInComeEnum.values()) {
            if (e.getCode().equals(code)) {
                return e;
            }
        }
        return null;
    }

    private String code;

    private String msg;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
