package com.jqtx.windows.component.model;

import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;
@Data
public class LoanPlanModel {
    private Integer id;

    private String planNo;

    private String loanNo;

    private LocalDate planDate;

    private Integer planIndex;

    private BigDecimal planAmt;

    private BigDecimal planBen;

    private BigDecimal planXi;

    private BigDecimal planFu;

    private BigDecimal planFa;

    private BigDecimal planBurden;

    private BigDecimal planSpeaccount;

    private BigDecimal backedBen;

    private BigDecimal backedXi;

    private BigDecimal backedFu;

    private BigDecimal backedFa;

    private BigDecimal backedBurden;

    private BigDecimal backedSpeaccount;

    private BigDecimal backedBreak;

    private String status;

    private LocalDateTime gmtCreated;

    private LocalDateTime gmtModified;

    private String memo;
}