package com.jqtx.windows.infrastructure.feign;

import com.jqtx.windows.component.model.UploadPdfRequest;
import com.jqtx.windows.infrastructure.feign.hytric.IProtocolFeignServiceHystric;
import com.jqtx.windows.web.request.SignContractRequest;
import com.jqtx.windows.web.response.JsonResult;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(value = "service-protocol",fallback = IProtocolFeignServiceHystric.class)
public interface IProtocalFeignService {
    @GetMapping("/attach/getFilePathPdf")
    JsonResult<String> getFilePathPdf(@RequestParam String bizCode,@RequestParam String tempCode);

    @PostMapping("/attach/uploadProtocolPdf")
    JsonResult<String> uploadProtocolPdf(@RequestBody UploadPdfRequest uploadPdfRequest);


    @PostMapping("/attach/uploadRongdan")
    JsonResult<String> uploadRongdan(@RequestBody SignContractRequest signContractRequest);
}
