package com.jqtx.windows.infrastructure.feign.hytric;

import com.jqtx.windows.component.model.LoanCreditSubmitModel;
import com.jqtx.windows.infrastructure.enums.ExceptionCodeEnum;
import com.jqtx.windows.infrastructure.feign.IWakandaFeignService;
import com.jqtx.windows.infrastructure.feign.model.wakanda.ClientInfoModel;
import com.jqtx.windows.infrastructure.feign.model.wakanda.LoanCreditModel;
import com.jqtx.windows.web.response.JsonResult;
import org.springframework.stereotype.Component;

/**
 * @program: baoyouhua
 * @description:
 * @author: zq
 * @create: 2022-06-02 15:03
 **/
@Component
public class IWakandaFeignServiceHystric implements IWakandaFeignService{

    @Override
    public JsonResult clientCredit(ClientInfoModel clientCertModel) {
        return JsonResult.error(ExceptionCodeEnum.SYSTEM_ERROR);
    }

    @Override
    public JsonResult<Boolean> loanCredit(LoanCreditSubmitModel loanCredit) {
        return JsonResult.error(ExceptionCodeEnum.SYSTEM_ERROR);
    }
}
