package com.jqtx.windows.component.enums;

public enum LoanStatusEnum {
    AUDITED("AUDITED", "提现成功等待放款"),
    BACKING("BACKING", "还款中"),
    OVERDUED("OVERDUED", "逾期"),
    SETTLED("SETTLED", "结清"),
    ;

    LoanStatusEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    private String code;

    private String msg;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
