package com.jqtx.windows.component.enums;

public enum ZNMarryEnum {

    M_1("1", "10"),
    M_2("2", "20"),
    M_3("3", "99"),
    M_4("4", "40"),
    M_5("5", "99"),
            ;

    ZNMarryEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public static ZNMarryEnum getByCode(String code) {
        for (ZNMarryEnum e : ZNMarryEnum.values()) {
            if (e.getCode().equals(code)) {
                return e;
            }
        }
        return null;
    }

    private String code;

    private String msg;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
