package com.jqtx.windows.component.impl;

import cn.hutool.extra.cglib.CglibUtil;
import com.jqtx.windows.component.BackedDetailComponent;
import com.jqtx.windows.component.model.BackedDetailModel;
import com.jqtx.windows.repository.entity.WindowsBackedDetail;
import com.jqtx.windows.repository.mapper.WindowsBackedDetailMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class BackedDetailComponentImpl implements BackedDetailComponent {
    @Autowired
    private WindowsBackedDetailMapper windowsBackedDetailMapper;

    @Override
    public void insert(BackedDetailModel model) {
        windowsBackedDetailMapper.insertSelective(CglibUtil.copy(model, WindowsBackedDetail.class));
    }
}
