package com.jqtx.windows.component.impl;

import cn.hutool.core.bean.BeanUtil;
import com.jqtx.windows.component.CreditResultComponent;
import com.jqtx.windows.component.model.CreditResultModel;
import com.jqtx.windows.repository.entity.WindowsCreditExample;
import com.jqtx.windows.repository.entity.WindowsCreditResult;
import com.jqtx.windows.repository.mapper.WindowsCreditMapper;
import com.jqtx.windows.repository.mapper.WindowsCreditResultMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class CreditResultComponentImpl implements CreditResultComponent {

    @Autowired
    private WindowsCreditResultMapper windowsCreditResultMapper;

    @Override
    public int insert(CreditResultModel creditResultModel) {
        WindowsCreditResult windowsCreditResult = BeanUtil.toBean(creditResultModel, WindowsCreditResult.class);
        int i = windowsCreditResultMapper.insertSelective(windowsCreditResult);
        return i;
    }
}
