package com.jqtx.windows.component.model;

import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
public class LoanModel {
    private Integer id;

    private String loanNo;

    private String orderNo;

    private BigDecimal loanAmt;

    private BigDecimal raiseAmt;

    private BigDecimal serviceAmt;

    private BigDecimal rateAmt;

    private BigDecimal burdenAmt;

    private String loanUsage;

    private LocalDateTime raiseDate;

    private String loanStatus;

    private String bankAccount;

    private String loanTerm;

    private String loanCreditResult;

    private LocalDateTime gmtCreated;

    private LocalDateTime gmtModified;

    private String memo;
}
