package com.jqtx.windows.component.model;

import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

@Data
public class RepayModel {
    private Long id;

    private String loanNo;

    private String backedNo;

    private String bankAccount;

    private BigDecimal backedAmt;

    private Integer isSettle;

    private String backedType;

    private String repayResult;

    private String repayStatus;

    private String creator;

    private LocalDateTime gmtCreated;

    private LocalDateTime gmtModified;

    private String memo;
}
