package com.jqtx.windows.component.seq;

/**
 * @Author: yexiaodong
 * @Date: 2018/5/22 11:45
 */
public class BizSeqNoConfig {

    /**
     * 循环长度
     */
    public static int NO_CIRCLE = 1000000;

    /**
     * seq初始值
     */
    public static int INIT_VALUE = 1;

    /**
     * seq增长步进
     */
    public static int INCREMENT_STEP = 1;

    /**
     * 负债编号生成器key
     */
    public static final String DEBT_NO_KEY = "DEBT_NO";

    /**
     * 计划编号生成器key
     */
    public static final String PLAN_NO_KEY = "PLAN_NO";

    /**
     * 案件编号生成器key
     */
    public static final String COLL_NO_KEY = "COLL_NO";

    /**
     * 负债编号前缀  前缀（4位） + seq(6位)
     */
    public static final String DEBT_NO_PREFIX = "DA";

    /**
     * 计划编号前缀  前缀（4位） + seq(6位)
     */
    public static final String PLAN_NO_PREFIX = "DB";

    /**
     * 案件编号前缀  前缀（4位） + seq(6位)
     */
    public static final String COLL_NO_PREFIX = "DC";




}

