package com.jqtx.windows.infrastructure.feign;


import com.jqtx.windows.infrastructure.feign.hytric.IClientFeignServiceHystric;
import com.jqtx.windows.infrastructure.feign.model.client.ClientFeignModel;
import com.jqtx.windows.web.response.JsonResult;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient(value = "service-client",  fallback = IClientFeignServiceHystric.class)
public interface IClientFeignService {
    @PostMapping("/client/getClientNo")
    JsonResult<String> getClientNo(@RequestBody ClientFeignModel model);
}
