package com.jqtx.windows.infrastructure.feign.enums;

/**
 * @Author: yexiaodong
 * @Date:2018/9/19 10:00
 */
public enum CommonResultEnum {

    FAIL("FAIL", "失败"),

    SUCCESS("SUCCESS", "成功");

    /**
     * 枚举编号
     */
    private String code;

    /**
     * 枚举详情
     */
    private String message;

    /**
     * @param code
     * @param message
     */
    CommonResultEnum(String code, String message) {
        this.message = message;
        this.code = code;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
