package com.jqtx.windows.infrastructure.feign.enums;


public enum RePayTypeEnum {

    BYONE("BYONE", "按期还款"),

    BYALL("BYALL", "全部结清还款");

    /**
     * 枚举编号
     */
    private String code;

    /**
     * 枚举详情
     */
    private String message;

    /**
     * @param code
     * @param message
     */
    RePayTypeEnum(String code, String message) {
        this.message = message;
        this.code = code;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
