package com.jqtx.windows.infrastructure.feign.hytric;

import com.jqtx.windows.component.model.UploadPdfRequest;
import com.jqtx.windows.infrastructure.enums.ExceptionCodeEnum;
import com.jqtx.windows.infrastructure.feign.IProtocalFeignService;
import com.jqtx.windows.web.request.SignContractRequest;
import com.jqtx.windows.web.response.JsonResult;
import org.springframework.stereotype.Component;

/*
 * @ClassName IProtocolFeignServiceHystric
 * @Author liuzicheng
 * @Description //TODO
 * @Date 2022/6/14 14:17
 */
@Component
public class IProtocolFeignServiceHystric implements IProtocalFeignService {

    @Override
    public JsonResult<String> getFilePathPdf(String bizCode, String tempCode) {
        return JsonResult.error(ExceptionCodeEnum.SYSTEM_ERROR);
    }

    @Override
    public JsonResult<String> uploadProtocolPdf(UploadPdfRequest uploadPdfRequest) {
        return JsonResult.error(ExceptionCodeEnum.SYSTEM_ERROR);
    }

    @Override
    public JsonResult<String> uploadRongdan(SignContractRequest signContractRequest) {
        return JsonResult.error(ExceptionCodeEnum.SYSTEM_ERROR);
    }
}
