package com.jqtx.windows.infrastructure.feign.model.wakanda;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @Author: zmf
 * @Date: 2019/1/22 15:48
 */
@Data
@ApiModel
public class DeviceInfoModel {

    private String deviceType;

    private String idfa;

    private String imei;

    private String ip;

    private Boolean isroot;

    private String latitude;

    private List<String> applist;

    private String longitude;

    private String province;

    private String city;

    private String mac;

    private String deviceId;

    private String deviceOsVersion;

    private String userAgent;

    private String modelType;

    @ApiModelProperty(value = "电量")
    private String electricQuantity;

    @ApiModelProperty(value = "存储总空间")
    private String totalStorage;

    @ApiModelProperty(value = "可用存储空间")
    private String availableStorage;

    /*@ApiModelProperty(value = "APP安装列表")
    private List<AppListInfoModel> appListInfoModelList;*/

    private String district;

}
