package com.jqtx.windows.infrastructure.feign.model.wakanda;

import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
public class LoanCreditModel {

    private Long id;

    private String orderNo;

    private String userId;

    private String creditNo;

    private String clientNo;

    private String clientName;

    private String mobileEncrypt;

    private String loanNo;

    private String loanName;

    private String productName;

    private String bizType;

    private String loanStatus;

    private BigDecimal loanAmount;

    private String loanNum;

    private String bankAccount;

    private String projectTime;

    private String bdNo;

    private String partnerNo;

    private String currentAction;

    private String stepsNo;

    private LocalDateTime gmtCreated;

    private LocalDateTime gmtModified;

    private String memo;

    private Integer version;

    private String loanSign;
    private String capitalCode;

}
